org.apache.maven.scm.provider.clearcase.command.checkin

## Class ClearCaseCheckInConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.clearcase.command.checkin.ClearCaseCheckInConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class ClearCaseCheckInConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: ClearCaseCheckInConsumer.java 770340 2009-04-30 17:34:27Z olamy $
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseCheckInConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getCheckedInFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseCheckInConsumer

    public ClearCaseCheckInConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getCheckedInFiles

    public List getCheckedInFiles()